Skip to main content
GET
/
v1
/
entitlements
/
{entitlementId}
/
grants
List Grants
curl --request GET \
  --url https://api.paygentic.io/v1/entitlements/{entitlementId}/grants \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "grant",
      "id": "<string>",
      "entitlementId": "<string>",
      "amount": 123,
      "effectiveAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "recurrencePeriod": "<string>",
      "idempotencyKey": "<string>",
      "expiresAt": "2023-11-07T05:31:56Z",
      "voidedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.paygentic.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

entitlementId
string
required

The unique identifier of the entitlement

Pattern: ^ent_[a-zA-Z0-9]+$

Query Parameters

limit
integer
default:20

Maximum number of grants to return per page.

Required range: 1 <= x <= 100
offset
integer
default:0

Number of grants to skip.

Required range: x >= 0
includeVoided
boolean
default:false

When true, voided grants are included in the response.

Response

Successfully retrieved the list of grants.

object
enum<string>
default:list
required
Available options:
list
data
object[]
required
pagination
object
required

Offset-based pagination response.